What kind of hosting is required?

We recommend that you use a dedicated WordPress hosting company. We do not recommend running an eCommerce business on a shared, cheap hosting plan. You must be using a minimum of PHP 7.2 as per the WooCommerce requirements. However, we recommend you use the most recent version of PHP7.x that is available to you. 

Your hosting company should also be providing at least daily backups and staging environments so you can easily test all updates and changes. 

Leave a Comment

This website uses cookies to ensure you get the best experience on our website.